/***
 * OW2 FraSCAti Tinfi
 * Copyright (C) 2007-2009 INRIA, USTL
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: frascati@ow2.org
 *
 * Author: Lionel Seinturier
 */

package org.ow2.frascati.tinfi;

import org.osoa.sca.annotations.Reference;

/**
 * Component implementation used for testing references.
 * 
 * @author Lionel Seinturier <Lionel.Seinturier@univ-lille1.fr>
 */
public class ReferenceNotFoundImpl {
    
    @Reference
    public Object publicFieldRef;
    @Reference
    protected Object protectedFieldRef;        
    @SuppressWarnings("unused")
    @Reference
    private Object privateFieldRef;
    
    @Reference
    public void setPublicMethodRef( Object value ) {}
    @Reference
    protected void setProtectedMethodRef( Object value ) {}
    @SuppressWarnings("unused")
    @Reference
    private void setPrivateMethodRef( Object value ) {}
    
    @Reference
    public Object setBadMethodRef1( Object value ) { return null; }
    @Reference
    public void setBadMethodRef2( Object value, Object value2 ) {}
    @Reference
    public void setBadMethodRef3() {}
}